VFS_STREAMS_DEPOT(8)

NAME
vfs_streams_depot - EXPERIMENTAL module to store alternate data streams in a central directory.

SYNOPSIS

vfs objects = streams_depot

DESCRIPTION

This EXPERIMENTAL VFS module is part of the samba(7) suite.

The vfs_streams_depot enables storing of NTFS alternate data streams in the file system. As a normal posix file system does not support the concept of multiple data streams per file, the streams_depot module stores the data in files in a separate directory.

OPTIONS

streams_depot:directory = PATH
    Path of the directory where the alternate data streams should be stored. Defaults to the sharepath/.streams.

streams_depot:delete_lost = [ yes | no ]
    In the case of an already existing data streams directory for a newly created file the streams directory will be renamed to "lost-%lu", random(). With this option lost stream directories will be removed instead of renamed.

        • no(default) - rename lost streams to "lost-%lu", random().

        • yes - remove lost streams.

EXAMPLES

            [share]
    	vfs objects = streams_depot

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.